## python-oslo.messaging 5.35.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

futurist>=1.2.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
monotonic>=0.6 # Apache-2.0

# for jsonutils
six>=1.10.0 # MIT
cachetools>=2.0.0 # MIT License

WebOb>=1.7.1 # MIT

# for the routing notifier
PyYAML>=3.10 # MIT

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp!=2.1.4,>=2.1.1 # BSD
kombu!=4.0.2,>=4.0.0 # BSD
pika>=0.10.0 # BSD
pika-pool>=0.1.3 # BSD

# used by pika and zmq drivers
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
tenacity>=3.2.1 # Apache-2.0

# middleware
oslo.middleware>=3.31.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.17.0 # Apache-2.0
sphinx>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

# imported when the source code is parsed for generating documentation:
fixtures>=3.0.0 # Apache-2.0/BSD
kafka-python>=1.3.1 # Apache-2.0
pyngus>=2.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (5.35.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:24:42 +0000

python-oslo.messaging (5.35.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 08:45:06 +0000

python-oslo.messaging (5.30.2-2) unstable; urgency=medium

  * Calls update-alternatives oslo-messaging-zmq-proxy to remove it from
    /usr/bin when upgrading from Stretch (Closes: #881774).
  * Do not run zeromq tests which are failing, and that probably absolutely
    nobody cares about.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jan 2018 16:16:14 +0100

python-oslo.messaging (5.30.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2017 08:12:28 +0000

python-oslo.messaging (5.30.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switched to debhelper 10.
  * Missing runtime lsb-base depends.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:20:34 +0000

python-oslo.messaging (5.30.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased patches, removed git call in doc fix patch (not needed now).
  * Removed now useless transition package.
  * Blacklist RpcKombuHATestCase tests (broken).
  * Fixed alternatives in /usr/bin.

  [ Daniel Baumann ]
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Aug 2017 18:04:39 +0200

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 bandit,
 python-amqp (>= 2.1.1),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures,
 python-coverage,
 python-debtcollector,
 python-eventlet,
 python-fixtures (>= 1.3.1),
 python-futurist (>= 1.2.0),
 python-greenlet,
 python-hacking,
 python-kafka (>= 1.3.1),
 python-kombu (>= 4.1.0),
 python-mock (>= 1.3),
 python-monotonic,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.0),
 python-pika (>= 0.10.0),
 python-pika-pool,
 python-pyngus (>= 2.2.0),
 python-redis,
 python-six,
 python-stevedore (>= 1.20.0),
 python-tenacity (>= 3.2.1),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-yaml,
 python-zmq,
 python3-amqp (>= 2.1.1),
 python3-cachetools (>= 2.0.0),
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures (>= 1.3.1),
 python3-futurist (>= 1.2.0),
 python3-greenlet,
 python3-kafka (>= 1.3.1),
 python3-kombu (>= 4.1.0),
 python3-mock (>= 1.3),
 python3-monotonic,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-pika (>= 0.10.0),
 python3-pika-pool,
 python3-pyngus (>= 2.2.0),
 python3-redis,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-tenacity (>= 3.2.1),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml,
 python3-zmq,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends:
 adduser,
 lsb-base,
 python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
 ${misc:Depends},
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

Package: python-oslo.messaging
Architecture: all
Depends:
 python-amqp (>= 2.1.1),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures,
 python-debtcollector,
 python-futurist (>= 1.2.0),
 python-kafka,
 python-kombu (>= 4.1.0),
 python-monotonic,
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-pika (>= 0.10.0),
 python-pika-pool,
 python-six,
 python-stevedore (>= 1.20.0),
 python-tenacity (>= 3.2.1),
 python-webob (>= 1:1.7.1),
 python-yaml,
 python-zmq,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.1.1),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector,
 python3-futurist (>= 1.2.0),
 python3-kafka,
 python3-kombu (>= 4.1.0),
 python3-monotonic,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pika (>= 0.10.0),
 python3-pika-pool,
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1.20.0),
 python3-tenacity (>= 3.2.1),
 python3-webob (>= 1:1.7.1),
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/oslo.messaging.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_messaging\.tests\.(?!(.*drivers.test_impl_rabbit\.TestRabbitDriverLoad\.test_driver_load.*|.*test_transport.GetTransportSadPathTestCase.test_get_transport_sad.*|.*drivers\.test_impl_rabbit\.TestSendReceive\.test_send_receive.*|.*drivers\.test_impl_rabbit\.TestSendReceive\.test_send_receive.*|.*drivers.test_impl_rabbit.RpcKombuHATestCase.*|.*drivers.zmq.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_clean:
	# Don't attempt to fetch pbr from PyPi...
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean -O--buildsystem=python_distutils

## python-oslo.messaging 8.1.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

# imported when the source code is parsed for generating documentation:
fixtures>=3.0.0 # Apache-2.0/BSD
kafka-python>=1.3.1 # Apache-2.0
pyngus>=2.2.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (8.1.0-0ubuntu1~cloud2.2) bionic-rocky; urgency=medium

  [Seyeong Kim]
  * Fix RabbitMQ fails to syncronize exchanges under high load (LP: #1789177)
    - d/p/0001-Use-default-exchange-for-direct-messaging.patch

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Feb 2021 09:34:56 -0500

python-oslo.messaging (8.1.0-0ubuntu1~cloud2.1) bionic-rocky; urgency=medium

  * d/p/0001-Use-default-exchange-for-direct-messaging.patch,
    d/p/0002-Use-default-exchange-for-direct-messaging.patch,
    d/p/0003-Cancel-consumer-if-queue-down.patch,
    Removed as it breaks partial upgrades (LP: #1914437).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 03 Feb 2021 15:37:14 +0000

python-oslo.messaging (8.1.0-0ubuntu1~cloud1) bionic-rocky; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/rocky branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

   [Seyeong Kim]
   * Fix RabbitMQ fails to syncronize exchanges under high load (LP: #1789177)
     - d/p/0001-Use-default-exchange-for-direct-messaging.patch
     - d/p/0002-Cancel-consumer-if-queue-down.patch

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 05 Jan 2021 10:34:46 +0000

python-oslo.messaging (8.1.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-py37-drop-use-of-async-as-parameter-name.patch,
    d/p/0002-py37-deal-with-Exception-repr-changes.patch,
    d/p/stopiteration.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 15:37:07 -0400

python-oslo.messaging (6.5.0-0ubuntu1) cosmic; urgency=medium

  * Misc Python 3.7 fixes:
    - d/p/0001-py37-drop-use-of-async-as-parameter-name.patch: Drop use
      of async as parameter/attribute name.
    - d/p/stopiteration.patch: Updates for PEP-479
    - d/p/0002-py37-deal-with-Exception-repr-changes.patch: Deal with
      changes in behaviour in repr(Exception(...)).
  * New upstream release for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Jul 2018 07:19:17 -0500

python-oslo.messaging (6.4.1-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Use python3-sphinx for docs build.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 22:08:20 +0100

python-oslo.messaging (6.4.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Demote zmq and kakfa Depends -> Suggests.
    - d/control: Update Vcs-* fields.
    - d/p/*: Disable use of pifpaf, skip unit tests that won't pass
      in LP buildd.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:42:07 +0100

python-oslo.messaging (5.35.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:47:48 +0000

python-oslo.messaging (5.34.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/control: Bump minimum debhelper version to 10, drop direct depends
    on dh-systemd.
  * d/p/drop-openstackdoctheme.patch: Dropped, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:43 +0000

python-oslo.messaging (5.33.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 11:37:06 +0000

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python-amqp (>= 2.1.1),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures (>= 3.0.0),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-futurist (>= 1.2.0),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.12.0),
 python-kafka (>= 1.3.1),
 python-kombu (>= 4.0.0),
 python-mock (>= 2.0.0),
 python-monotonic (>= 0.6),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-pyngus (>= 2.2.0),
 python-redis (>= 2.10.0),
 python-six (>= 1.10.0),
 python-stestr,
 python-stevedore (>= 1:1.20.0),
 python-tenacity (>= 4.4.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-yaml (>= 3.12),
 python-zmq (>= 14.3.1),
 python3-amqp (>= 2.1.1),
 python3-cachetools (>= 2.0.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.10),
 python3-kafka (>= 1.3.1),
 python3-kombu (>= 4.0.0),
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 0.6),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyngus (>= 2.2.0),
 python3-redis (>= 2.10.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-stestr,
 python3-subunit,
 python3-tenacity (>= 4.4.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 python3-zmq (>= 14.3.1),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://github.com/openstack/oslo.messaging

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends:
 adduser,
 lsb-base,
 python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
 python-zmq | python3-zmq,
 ${misc:Depends},
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

Package: python-oslo.messaging
Architecture: all
Depends:
 python-amqp (>= 2.1.1),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures (>= 3.0.0),
 python-debtcollector (>= 1.2.0),
 python-futurist (>= 1.2.0),
 python-kombu (>= 4.0.0),
 python-monotonic (>= 0.6),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-tenacity (>= 4.4.0),
 python-webob (>= 1:1.7.1),
 python-yaml (>= 3.12),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-kafka (>= 0.9.5),
 python-zmq,
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.1.1),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.0.0),
 python3-monotonic (>= 0.6),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-kafka (>= 0.9.5),
 python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 8.1.3

=== debian/changelog ===
python-oslo.messaging (8.1.3-1) unstable; urgency=medium

  * New upstream point release, which includes this fix:
    - Retry to declare a queue after internal error.
    everything else in this upstream release is cosmetic Git management.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2019 14:33:29 +0200

python-oslo.messaging (8.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Jan 2019 23:01:57 +0100

python-oslo.messaging (8.1.0-3) unstable; urgency=medium

  * Add Use_ensure_connection_to_prevent_loss_of_connection_error_logs.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Nov 2018 15:49:06 +0100

python-oslo.messaging (8.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:08:41 +0200

python-oslo.messaging (8.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed all patches, all applied upstream.
  * Fixed (build-)depends for this release.
  * Rebased no-functional-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 23:18:20 +0200

python-oslo.messaging (5.35.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Remove all non-zmq tests blacklist.
  * Add 2 python 3.7 patches, thanks to James Page for them:
    - python3.7-deal-with-Exception-repr-changes.patch.
    - python3.7-do-not-use-async.patch.
  * Use team+openstack@tracker.debian.org as maintainer.
  * Add remove-test_zmq_address.py.patch.

  [ Michal Arbet ]
  * d/control: Bump debhelper
  * d/control: Add me to Uploaders field
  * d/control: Bump Standards version
  * d/control: Remove python-sphinx from build-dependencies
  * d/control: Add python3-sphinx to build-dependencies
  * d/control: Remove python-openstackdocstheme from build-dependencies
  * d/control: Add python3-openstackdocstheme to build-dependencies
  * d/control: Remove python pika libraries
  * d/rules: Switch generating docs to python3
  * d/copyright: Add me to copyright
  * d/patches: Remove remove-test_zmq_address.py.patch
  * d/patches: Add remove-zmq-tests.patch
  * d/patches: Add replace-raise-stop-iteration-with-return.patch
  * d/patches: Add remove-deprecated-pika-driver.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 13 Jul 2018 13:48:28 +0100

## python-oslo.messaging 8.1.4

=== requirements.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 futurist>=1.2.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
-oslo.log>=3.30.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
@@ -22,18 +22,16 @@
 WebOb>=1.7.1 # MIT
 
 # for the routing notifier
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works
-amqp!=2.1.4,>=2.1.1 # BSD
+amqp>=2.3.0 # BSD
 kombu!=4.0.2,>=4.0.0 # BSD
-pika>=0.10.0 # BSD
-pika-pool>=0.1.3 # BSD
 
-# used by pika and zmq drivers
+# used by zmq driver
 futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
-tenacity>=3.2.1 # Apache-2.0
+tenacity>=4.4.0 # Apache-2.0
 
 # middleware
 oslo.middleware>=3.31.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
 reno>=2.5.0 # Apache-2.0
 
 # imported when the source code is parsed for generating documentation:

=== debian/changelog ===
python-oslo.messaging (8.1.4-1+deb10u1) buster; urgency=medium

  * New upstream point release, with an important fix:
    - Fix switch connection destination when a rabbitmq cluster node disappear.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Oct 2019 18:01:18 +0100

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python-amqp (>= 2.3.0),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures,
 python-coverage,
 python-debtcollector,
 python-eventlet,
 python-fixtures,
 python-futurist (>= 1.2.0),
 python-greenlet,
 python-hacking,
 python-kafka (>= 1.3.1),
 python-kombu (>= 4.1.0),
 python-mock (>= 1.3),
 python-monotonic,
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-pyngus (>= 2.2.0),
 python-redis,
 python-six,
 python-stestr (>= 2.0.0),
 python-stevedore (>= 1.20.0),
 python-tenacity (>= 4.4.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-yaml,
 python-zmq,
 python3-amqp (>= 2.3.0),
 python3-cachetools (>= 2.0.0),
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-futurist (>= 1.2.0),
 python3-greenlet,
 python3-kafka (>= 1.3.1),
 python3-kombu (>= 4.1.0),
 python3-mock (>= 1.3),
 python3-monotonic,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyngus (>= 2.2.0),
 python3-redis,
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-tenacity (>= 4.4.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml,
 python3-zmq,
 subunit,
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends:
 adduser,
 lsb-base,
 python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
 ${misc:Depends},
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

Package: python-oslo.messaging
Architecture: all
Depends:
 python-amqp (>= 2.3.0),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures,
 python-debtcollector,
 python-futurist (>= 1.2.0),
 python-kafka,
 python-kombu (>= 4.1.0),
 python-monotonic,
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six,
 python-stevedore (>= 1.20.0),
 python-tenacity (>= 4.4.0),
 python-webob (>= 1:1.7.1),
 python-yaml,
 python-zmq,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.3.0),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector,
 python3-futurist (>= 1.2.0),
 python3-kafka,
 python3-kombu (>= 4.1.0),
 python3-monotonic,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.messaging.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_messaging\.tests\.(?!(.*drivers.zmq.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_clean:
	# Don't attempt to fetch pbr from PyPi...
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean -O--buildsystem=python_distutils

## python-oslo.messaging 9.5.0

=== requirements.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
-monotonic>=0.6 # Apache-2.0
+monotonic>=0.6;python_version<'3.3' # Apache-2.0
 
 # for jsonutils
 six>=1.10.0 # MIT
@@ -26,12 +26,8 @@
 
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works
-amqp>=2.3.0 # BSD
+amqp>=2.4.1 # BSD
 kombu!=4.0.2,>=4.0.0 # BSD
-
-# used by zmq driver
-futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
-tenacity>=4.4.0 # Apache-2.0
 
 # middleware
 oslo.middleware>=3.31.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

# imported when the source code is parsed for generating documentation:
fixtures>=3.0.0 # Apache-2.0/BSD
confluent-kafka>=0.11.6 # Apache-2.0
pyngus>=2.2.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (9.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:29:58 +0200

python-oslo.messaging (9.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed oslo-messaging-zmq-receiver package.
  * Removed applied upstream:
    Use_ensure_connection_to_prevent_loss_of_connection_error_logs.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 21:37:59 +0100

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-amqp (>= 2.4.2),
 python3-cachetools,
 python3-coverage,
 python3-confluent-kafka,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-greenlet,
 python3-kombu,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyngus,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.4.2),
 python3-cachetools (>= 2.0.0),
 python3-confluent-kafka,
 python3-debtcollector,
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.1.0),
 python3-monotonic,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 9.7.1

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
-oslo.i18n>=3.15.3 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
 monotonic>=0.6;python_version<'3.3' # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 openstackdocstheme>=1.18.1 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
 reno>=2.5.0 # Apache-2.0
 
 # imported when the source code is parsed for generating documentation:

=== debian/changelog ===
python-oslo.messaging (9.7.1-0ubuntu3~cloud2) bionic-train; urgency=medium

  * Catch ConnectionForced Exception (LP: #1883038)
    - d/p/0001-Catch-ConnectionForced-Exception.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 12 Jan 2022 15:26:06 +0530

python-oslo.messaging (9.7.1-0ubuntu3~cloud1) bionic-train; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [Seyeong Kim] 
  * Fix RabbitMQ fails to syncronize exchanges under high load (LP: #1789177)
    - d/p/0001-Use-default-exchange-for-direct-messaging.patch
    - d/p/0002-Cancel-consumer-if-queue-down.patch

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 05 Jan 2021 10:13:18 +0000

python-oslo.messaging (9.7.1-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:04:35 -0400

python-oslo.messaging (9.7.1-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:09:05 -0400

python-oslo.messaging (9.7.1-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Drop zmq and move kakfa Depends -> Suggests.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/pydist3-overrides: Add kafka(-python).
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 11:25:14 -0400

python-oslo.messaging (9.5.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:03:41 +0000

python-oslo.messaging (9.3.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using python{3}-confluent-kafka.
  * d/tests/control: Drop use of needs-recommends.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:22:39 +0000

python-oslo.messaging (9.2.0-0ubuntu2) disco; urgency=medium

  * d/python3-oslo.messaging.postinst: Prefer Py3 alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 12:05:20 +0000

python-oslo.messaging (9.2.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream, drop support
    for ZeroMQ.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:22:20 +0000

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-amqp (>= 2.4.2),
 python3-cachetools (>= 2.0.0),
 python3-coverage (>= 4.0),
 python3-confluent-kafka (>= 0.11.6),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 1.1.0),
 python3-kombu (>= 4.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n,
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyngus (>= 2.2.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 3.2.1),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.4.2),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.1.0),
 python3-monotonic (>= 0.6),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-confluent-kafka (>= 0.11.6),
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 10.2.0

=== requirements.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works
 amqp>=2.4.1 # BSD
-kombu!=4.0.2,>=4.0.0 # BSD
+kombu!=4.0.2,>=4.6.1 # BSD
 
 # middleware
 oslo.middleware>=3.31.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-openstackdocstheme>=1.18.1 # Apache-2.0
+openstackdocstheme>=1.20.0 # Apache-2.0
 sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
+sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
 reno>=2.5.0 # Apache-2.0
 
 # imported when the source code is parsed for generating documentation:

=== debian/changelog ===
python-oslo.messaging (10.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:22:23 +0200

python-oslo.messaging (10.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Added python3-oslo.i18n as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 13:13:00 +0200

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-amqp (>= 2.4.2),
 python3-cachetools,
 python3-confluent-kafka,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet (>= 0.25.1),
 python3-fixtures,
 python3-futurist,
 python3-greenlet,
 python3-kombu (>= 4.6.4),
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyngus,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.4.2),
 python3-cachetools (>= 2.0.0),
 python3-confluent-kafka,
 python3-debtcollector,
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.6.4),
 python3-monotonic,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 11.0.0

=== debian/changelog ===
python-oslo.messaging (11.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:52:50 -0400

python-oslo.messaging (10.5.0-0ubuntu1) focal; urgency=medium

  * New uptream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:45:16 +0000

python-oslo.messaging (10.4.0-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:09:37 -0500

python-oslo.messaging (10.4.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Drop zmq and move kakfa Depends -> Suggests.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/pydist3-overrides: Add kafka(-python).
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/t/python-import: Add oslo module import test.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Dec 2019 14:29:45 -0500
